This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 766986 - add tmpfiles.d support for dsgw
add tmpfiles.d support for dsgw
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: 389-dsgw (Show other bugs)
16
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Rich Megginson
Fedora Extras Quality Assurance
: screened
Depends On:
Blocks: 389_1.2.10
  Show dependency treegraph
 
Reported: 2011-12-12 17:12 EST by J Hegge
Modified: 2012-03-30 23:26 EDT (History)
3 users (show)

See Also:
Fixed In Version: 389-dsgw-1.1.9-1.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-30 23:25:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description J Hegge 2011-12-12 17:12:54 EST
Description of problem:
After install, can't login to web apps, always get an error:

 Authentication failed because the server was unable to generate authentication credentials. The authentication database could not be opened.   

Note the RPM's postscript:
if [ ! -d /var/run/dirsrv/dsgw/cookies ] ; then
    mkdir -p /var/run/dirsrv/dsgw/cookies
fi

Doesn't seem to be happening.

Version-Release number of selected component (if applicable): 
389-dsgw-1.1.7-2.fc16


How reproducible: For my install, happens at each attempt, whether the user is an admin or not.  Used Chrome, FF and Safari


Steps to Reproduce:
1. Install 389-dsgw
2. Run setup-ds-dsgw
3. start servers and attempt to login with users created
  
Actual results: fail to login


Expected results: should get to a login state, able to change passwords, allowing self-service password changes


Additional info:
Comment 1 Rich Megginson 2011-12-15 14:52:50 EST
commit 7aefc4420bba4b36562a2d883efbd5ba81dd946e
Author: Rich Megginson <rmeggins@redhat.com>
Date:   Wed Dec 14 14:58:18 2011 -0700

    add tmpfiles.d support for the cookiedir
Comment 2 Fedora Update System 2011-12-15 14:55:06 EST
389-dsgw-1.1.8-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-dsgw-1.1.8-1.fc15
Comment 3 Fedora Update System 2011-12-15 14:56:32 EST
389-dsgw-1.1.8-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-dsgw-1.1.8-1.fc16
Comment 4 Rich Megginson 2012-01-10 15:18:00 EST
Upstream ticket:
https://fedorahosted.org/389/ticket/237
Comment 5 Fedora Update System 2012-02-03 19:46:12 EST
389-dsgw-1.1.9-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-dsgw-1.1.9-1.fc16
Comment 6 Fedora Update System 2012-02-03 21:27:47 EST
389-dsgw-1.1.9-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/389-dsgw-1.1.9-1.fc15
Comment 7 Fedora Update System 2012-02-04 18:50:05 EST
Package 389-dsgw-1.1.9-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-dsgw-1.1.9-1.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-1312/389-dsgw-1.1.9-1.fc16
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-03-30 23:25:54 EDT
389-dsgw-1.1.9-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-03-30 23:26:45 EDT
389-dsgw-1.1.9-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.